|
|||||||||
| Home >> All >> de >> laures >> [ cewolf overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
de.laures.cewolf
Class CewolfRenderer

java.lang.Objectjavax.servlet.GenericServlet
javax.servlet.http.HttpServlet
de.laures.cewolf.CewolfRenderer
- All Implemented Interfaces:
- java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, WebConstants
- public class CewolfRenderer
- extends javax.servlet.http.HttpServlet
- implements WebConstants
- extends javax.servlet.http.HttpServlet
The rendering servlet of Cewolf. It is resposible for writing an entire chart img into the response stream of the client. Everything needed for this is prepared already by the ChartImgTag resp. LegendTag. The ID of a chart image is passed to this servlet as a request parameter. After that the image object is retrieved from the server side session based image cache. This servlet must be configured in web.xml of the web application in order to use Cewolf services. The servlet's URL relative to the web apps root is used as the renderer attribute of the ChartImgTag resp. LegendTag in the JSP page.
- Since:
- 0.1
| Field Summary | |
private Configuration |
config
|
private boolean |
debugged
|
static java.lang.String |
INIT_CONFIG
|
private int |
requestCount
|
private static java.lang.String |
STATE
|
| Fields inherited from class javax.servlet.http.HttpServlet |
|
| Fields inherited from interface de.laures.cewolf.WebConstants |
AMPERSAND, HEIGHT_PARAM, IMG_PARAM, MIME_PNG, MIME_SVG, SESSIONID_KEY, WIDTH_PARAM |
| Constructor Summary | |
CewolfRenderer()
|
|
| Method Summary | |
private void |
addHeaders(javax.servlet.http.HttpServletResponse response)
Method addHeaders. |
protected void |
doGet(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response)
Called by the server (via the service method) to
allow a servlet to handle a GET request. |
void |
init(javax.servlet.ServletConfig servletCfg)
Called by the servlet container to indicate to a servlet that the servlet is being placed into service. |
private void |
logAndRenderException(java.lang.Throwable ex,
javax.servlet.http.HttpServletResponse response,
int width,
int height)
|
private void |
logRequest(javax.servlet.http.HttpServletRequest request)
|
void |
printParameters(javax.servlet.http.HttpServletRequest request)
Processes HTTP GET request. |
private void |
renderImageExpiry(javax.servlet.http.HttpServletResponse response,
int width,
int height)
Method renderImageExpiry. |
private void |
requestState(javax.servlet.http.HttpServletResponse response)
Method requestState. |
| Methods inherited from class javax.servlet.http.HttpServlet |
doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service |
| Methods inherited from class javax.servlet.GenericServlet |
destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
INIT_CONFIG
public static final java.lang.String INIT_CONFIG
- See Also:
- Constant Field Values
STATE
private static final java.lang.String STATE
- See Also:
- Constant Field Values
debugged
private boolean debugged
requestCount
private int requestCount
config
private Configuration config
| Constructor Detail |
CewolfRenderer
public CewolfRenderer()
| Method Detail |
init
public void init(javax.servlet.ServletConfig servletCfg) throws javax.servlet.ServletException
- Description copied from class:
javax.servlet.GenericServlet - Called by the servlet container to indicate to a servlet that the
servlet is being placed into service. See Servlet.init(javax.servlet.ServletConfig)>
Servlet.init(javax.servlet.ServletConfig)55 .This implementation stores the javax.servlet.ServletConfig object it receives from the servlet container for later use. When overriding this form of the method, call
super.init(config).- Specified by:
initin interfacejavax.servlet.Servlet
printParameters
public void printParameters(javax.servlet.http.HttpServletRequest request)
- Processes HTTP
GETrequest. Renders the chart or the lengend into the client's response stream.
doGet
protected void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException
- Description copied from class:
javax.servlet.http.HttpServlet - Called by the server (via the
servicemethod) to allow a servlet to handle a GET request.Overriding this method to support a GET request also automatically supports an HTTP HEAD request. A HEAD request is a GET request that returns no body in the response, only the request header fields.
When overriding this method, read the request data, write the response headers, get the response's writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a
PrintWriterobject to return the response, set the content type before accessing thePrintWriterobject.The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.
Where possible, set the Content-Length header (with the ServletResponse.setContentLength(int)>
ServletResponse.setContentLength(int)55 method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.When using HTTP 1.1 chunked encoding (which means that the response has a Transfer-Encoding header), do not set the Content-Length header.
The GET method should be safe, that is, without any side effects for which users are held responsible. For example, most form queries have no side effects. If a client request is intended to change stored data, the request should use some other HTTP method.
The GET method should also be idempotent, meaning that it can be safely repeated. Sometimes making a method safe also makes it idempotent. For example, repeating queries is both safe and idempotent, but buying a product online or modifying data is neither safe nor idempotent.
If the request is incorrectly formatted,
doGetreturns an HTTP "Bad Request" message.
addHeaders
private void addHeaders(javax.servlet.http.HttpServletResponse response)
- Method addHeaders.
requestState
private void requestState(javax.servlet.http.HttpServletResponse response) throws java.io.IOException
- Method requestState.
logAndRenderException
private void logAndRenderException(java.lang.Throwable ex, javax.servlet.http.HttpServletResponse response, int width, int height) throws java.io.IOException
renderImageExpiry
private void renderImageExpiry(javax.servlet.http.HttpServletResponse response, int width, int height) throws java.io.IOException
- Method renderImageExpiry.
logRequest
private void logRequest(javax.servlet.http.HttpServletRequest request) throws java.io.IOException
|
|||||||||
| Home >> All >> de >> laures >> [ cewolf overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC